var reactLayoutHelpers = (function (exports,glamorous,React) {
  'use strict';

  glamorous = glamorous && glamorous.hasOwnProperty('default') ? glamorous['default'] : glamorous;
  React = React && React.hasOwnProperty('default') ? React['default'] : React;

  var Centered = glamorous.div({
    display: 'flex',
    flexFlow: 'column nowrap',
    alignItems: 'center',
    justifyContent: 'center'
  });

  var Row = glamorous.div({
    display: 'flex',
    flexFlow: 'row nowrap',
    justifyContent: 'center',
    alignItems: 'center'
  });

  var Spacer = function Spacer(_ref) {
    var children = _ref.children,
        render = _ref.render,
        _ref$margin = _ref.margin,
        margin = _ref$margin === void 0 ? 0 : _ref$margin,
        _ref$padding = _ref.padding,
        padding = _ref$padding === void 0 ? 0 : _ref$padding;
    return React.createElement("div", {
      style: {
        margin: margin,
        padding: padding,
        boxSizing: 'border-box'
      }
    }, render ? render() : children);
  };

  var PageCentered = glamorous.div({
    display: 'flex',
    flexFlow: 'row nowrap',
    justifyContent: 'center',
    alignItems: 'center',
    height: '100vh',
    width: '100vw'
  });

  var FullWidth = glamorous.div({
    width: '100%',
    marginTop: '20px'
  });

  var DistributedHorizontally = glamorous.div({
    display: 'flex',
    flexFlow: 'row nowrap',
    justifyContent: 'space-between',
    alignItems: 'center'
  });

  var ValueWrapper = glamorous.div({
    borderRadius: '15px',
    border: '1px solid #ff80c3',
    padding: '10px',
    margin: '10px',
    minWidth: '6rem',
    textAlign: 'center'
  });

  var FullWidthCentered = glamorous(Centered)({
    padding: '20px',
    width: '100%',
    height: '100%',
    backgroundColor: '#f2f2f2',
    borderBottom: '1px solid #ff80c3',
    justifyContent: 'flex-start'
  });

  exports.Centered = Centered;
  exports.Row = Row;
  exports.Spacer = Spacer;
  exports.PageCentered = PageCentered;
  exports.FullWidth = FullWidth;
  exports.DistributedHorizontally = DistributedHorizontally;
  exports.ValueWrapper = ValueWrapper;
  exports.FullWidthCentered = FullWidthCentered;

  return exports;

}({},glamorous,React));
